
Foreman - Refactor #10989

Remove 1.12 deprecations

07/02/2015 11:18 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Plugin integration   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3145

  

Description

To be done after 1.11-stable is branched.

Scan the codebase for deprecations marked with a 1.12 deadline and remove them (ack deprecation.*1.12). All deprecations with a

1.12 deadline have been shipped (at least) in 1.10 and 1.11.

Marked for a 1.11.0 release so it's done at the time of 1.11-stable branching, but please move to 1.12.0 when done.

Related issues:

Related to Foreman - Refactor #10635: Formalize deprecation warnings Closed 05/28/2015

Associated revisions

Revision e2dd3c6c - 02/23/2016 10:06 AM - Tom Caspy

fixes #10989 - removing 1.12 deprecations

History

#1 - 07/02/2015 11:18 AM - Dominic Cleal

- Related to Refactor #10635: Formalize deprecation warnings added

#2 - 02/01/2016 10:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/3145 added

#3 - 02/23/2016 05:20 AM - Dominic Cleal

- translation missing: en.field_release changed from 71 to 136

#4 - 02/23/2016 11:02 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e2dd3c6c85e9f82a47608fc2184e018817de4ff3.
